dblatex
Prev | Reference | Next

## dblatex

dblatex — convert DocBook to LaTeX, DVI, PostScript, and PDF

## Synopsis

`dblatex` [`options`] {`file` | -}

## Description

dblatex is a program that transforms your SGML/XML DocBook documents to DVI, PostScript or PDF by translating them into pure LaTeX as a first process. MathML 2.0 markups are supported, too.

## Options

A summary of options is included below.

`-h`, `--help`
  Show a help message and exit.
`-b `backend``, `--backend=`backend``
  Backend driver to use: `pdftex` (default), `dvips`, or `xetex`. See also the section called “Backend Drivers”.
`-B`, `--no-batch`
  All the tex output is printed.
`-c `config``, `-S `config``, `--config=`config``
  Configuration file. A configuration file can be used to group all the options and customizations to apply. See the section called “Dblatex Configuration File”.
`-d`, `--debug`
  Debug mode: Keep the temporary directory in which dblatex actually works. the section called “Debugging your Style” explains how you can use it.
`-D`, `--dump`
  Dump the error stack when an error occurs (debug purpose).
`-f `figure_format``, `--fig-format=`figure_format``
  Input figure format: `fig`, `eps`. Used when not deduced from figure file extension. See also the section called “ Converting on the fly ”.
`-F `input_format``, `--input-format=`input_format``
  Input file format: `sgml`, `xml` (default).
`-i `texinputs``, `--texinputs `texinputs``
  Path added to `TEXINPUTS`
`-I `figure_path``, `--fig-path=`figure_path``
  Additional lookup path of the figures. See the section called “ Paths Lookup ”.
`-l `bst_path``, `--bst-path=`bst_path``
  Additional lookup path of the BibTeX styles. See the section called “Using BibTeX Databases”.
`-L `bib_path``, `--bib-path=`bib_path``
  Additional lookup path of the BibTeX databases. See the section called “Using BibTeX Databases”.
`-m `xslt``, `--xslt=`xslt``
  XSLT engine to use. The available engines are: xsltproc (default), 4xslt.
`-o `output``, `--output=`output``
  Output filename. When not specified, the input filename is used, with the suffix of the output format. The option is ignored if several books are chunked from a set. In this case the `-O` option is applied instead.
`-O `output_dir``, `--output-dir=`output_dir``
  Output directory of the books built from a set. When not specified, the current working directory is used instead. The option is ignored if a single document is outputed, and the `-o` is taken into account.
`-p `xsl_user``, `--xsl-user=`xsl_user``
  An XSL user stylesheet to use. Several user stylesheets can be specified, but the option order is meaningful. See the section called “Using XSL Parameters”.
`-P `param`=`value`` , `--param=`param`=`value``
  Set an XSL parameter from command line. See the section called “Setting Command line Parameters”.
`-r `script``, `--texpost=`script``
  Script called at the very end of the tex compilation. Its role is to modify the tex file or one of the compilation files before the last round. See the section called “Latex post process script”.
`-s `latex_style``, `--texstyle=`latex_style``
  Latex style to apply. It can be a package name, or directly a latex package path. A package name must be without a directory path and without the '.sty' extension. On the contrary, a full latex package path can contain a directory path, but must ends with the '.sty' extension. See the section called “Customized LaTeX style”.
`-t `format``, `--type=`format``
  Output format. Available formats: `tex`, `dvi`, `ps`, `pdf` (default).
`--dvi`
  DVI output. Equivalent to `-tdvi`.
`--pdf`
  PDF output. Equivalent to `-tpdf`.
`--ps`
  PostScript output. Equivalent to `-tps`.
`-T `style``, `--style=`style``
  Output style, predefined are: `db2latex`, `simple`, `native` (default). See the section called “Output Formatting Style”.
`-v`, `--version`
  Display the dblatex version.
`-V`, `--verbose`
  Verbose mode, showing the running commands
`-x `xslt_options``, `--xslt-opts=`xslt_options``
  Arguments directly passed to the XSLT engine
`-X`, `--no-external`
  Disable the external text file support. This support is needed for callouts on external files referenced by `textdata` or `imagedata`, but it can be disabled if the document does not contain such callouts. Disabling this support can improve the processing performance for big documents.

## Files and Directories

`$HOME/.dblatex/`
  User configuration directory.
`/etc/dblatex/`
  System-wide configuration directory.

The predefined output styles are located in the installed package directory.

## Environment Variables

`DBLATEX_CONFIG_FILES`
  Extra configuration directories that may contain some dblatex configuration files.

## Examples

To produce `myfile.pdf` from `myfile.xml`:

    dblatex myfile.xml

To set some XSL parameters from the command line:

    dblatex -P latex.babel.language=de myfile.xml

To use the db2latex output style:

    dblatex -T db2latex myfile.xml

To apply your own latex style:

    dblatex -s mystyle myfile.xml
    dblatex -s /path/to/mystyle.sty myfile.xml

To use dblatex and profiling:

    xsltproc --param profile.attribute "'output'" \
             --param profile.value "'pdf'" /path/to/profiling/profile.xsl \
             myfile.xml | dblatex -o myfile.pdf -

To build a set of books:

    dblatex -O /path/to/chunk/dir -Pset.book.num=all myfile.xml

Prev | Up | Next
Reference | Home | Output Formatting Style